[Matplotlib-users] New matplotlib book: Mastering matplotlib

Scott Lasley selasley at icloud.com
Mon Apr 18 12:35:33 EDT 2016


Here's how I got the first couple of notebooks to run under python 3.5 -
Run the make command.  This will a few install .mk files in the include directory but fail because python3.4 and pip3.4 are not available.  Edit the Makefile and all files in the include directory and change all occurrences of python3.4 to python3 and all occurrences of pip3.4 to pip3.  Run make again.  On my mac it worked but venv overwrote packages in my site-packages directory with the older versions specified in the files in the requirements directory.  I thought venv environments were isolated from the installed packages so I'm not sure why it did that.  After that it just seemed easier to install python 3.4 from python.org

I suppose you could make your own virtual environment named .venv-mmpl in a directory containing the cloned git directories and populate it with the packages in the various requirements files but I didn't try that.  Anaconda may install enough of the required packages that the notebooks would work with anaconda's ipython/jupyter without running make or making a virtual envionment, but I didn't try that either.

Best regards,
Scott

> On Apr 18, 2016, at 09:54, John Brodie <john.brodie at gmail.com> wrote:
> 
> Thanks Scott,
> 
> I'm running 3.5.1 (Anaconda). 
> I'll think about installing 3.4 or perhaps digging deeper into the problem to see if I can make it work on 3.5.
> 
> --John
> 
> On Sun, Apr 17, 2016 at 1:58 PM Scott Lasley <selasley at icloud.com> wrote:
> From the Preface - "For this book, you will need Python 3.4.2 or a later version of this as is available with Ubuntu 15.04 and Mac OS X 10.10. This book was written using Python 3.4.2 on Mac OS X."
> 
> Do you have python 3.4 installed?  The book points out that  make  will not work with python 2 and it didn't work on my mac with python 3.5 installed but no python 3.4 installed.  make worked on my mac after installing python 3.4.4.
> 
> Hope this helps,
> Scott
> 
> > On Mar 24, 2016, at 15:07, jungleb77 <john.brodie at gmail.com> wrote:
> >
> > Hi Duncan,
> >
> > I just bought your book, I'm excited to get through it. I'm wondering if the
> > 'make' commands are supposed to work in OS X?  I tried following the
> > examples in the first couple of chapters and the make errors out with some
> > files not found.
> >
> > Any ideas?
> >
> > thanks again,
> >
> > John Brodie
> 



More information about the Matplotlib-users mailing list